Search the Community
Showing results for tags 'pause'.
-
How to pause for user input in while and run more than 1 command call
3dwannab posted a topic in AutoLISP, Visual LISP & DCL
TWO THINGS HERE 1. How can I get the pause to be only asked once in the while loop. 2. Unknown command "MW". Press F1 for help. comes up for the last 2 commands. CODE FOR CREATING MULTIPLE WIPEOUTS: (defun c:mw ( / sset countn n *error* cmde os smode ) (defun *error* (errmsg) (and acDoc (vla-EndUndoMark acDoc)) (and errmsg (not (wcmatch (strcase errmsg) "*CANCEL*,*EXIT*")) (princ (strcat "\n<< Error: " errmsg " >>")) ) (setvar 'cmdecho cmde) (setvar 'osmode os) (setvar 'selectsimilarmode smode) ) (setq acDoc (vla-get-ActiveDocument (vlax-get-acad-object))) (or (vla-EndUndoMark acDoc) (vla-StartUndoMark acDoc)) (setq cmde (getvar 'cmdecho)) (setq os (getvar 'osmode)) (setq smode (getvar 'selectsimilarmode)) (setvar 'cmdecho 0) (setvar 'osmode 0) ; MULTIPLE WIPEOUT (princ "\nSelect items: ") (setq sset (ssget '((0 . "LWPOLYLINE")))) (if sset (progn (setq n (1- (sslength sset))) (setq countn -1) (while (< countn n) (setq countn (1+ countn)) ; HELP HERE ; TWO THINGS HERE. ; 1. How can I get the pause to be only asked once in the while loop. ; 2. Unknown command "MW". Press F1 for help. comes up for the last 2 commands. (progn (command "._wipeout" "_polyline" (ssname sset countn) pause) (command "_.change" (ssname sset countn) "" "properties" "color" "T" "255,255,255" "") (command "DRAWORDER" (ssname sset countn) "" "back" "") ) ) ) (princ "\Sorry, no closed lwpolylines selected. ") ) (setq sset nil) (*error* nil) (vl-load-com) ) -
Is there a way to “pause” viewport display while running lisp.
HideQ posted a topic in AutoLISP, Visual LISP & DCL
For example lisp is drawing complicated shapes out of individual lines – is there a way to “pause” the display for the duration of the function, so that complete linework just show all at once, instead of each individual line with flickering screen? Many Thanks